Substy Developers
Account and agency

Get my agency access

Read the signed-in account, current agency role, permission keys and accessible creators. Use this to understand which platform actions the connected account can perform.

GET/v1/agencies/{agencyId}/access/me

Read the signed-in account, current agency role, permission keys and accessible creators. Use this to understand which platform actions the connected account can perform.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/access/me" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "userId": "string",    "agencyId": "string",    "isOwner": true,    "role": null,    "permissions": [      "string"    ],    "dataVisibility": "SELF",    "creatorScope": "ALL",    "accessibleCreatorIds": [      "string"    ]  },  "meta": {    "requestId": "string"  }}